import { __extends } from "tslib";
import { IgxCancelEventArgs } from "igniteui-angular-core";
/**
 * Event arguments for the
 * hyperlinkExecuting event.
*/
var IgxSpreadsheetHyperlinkExecutingEventArgs = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgxSpreadsheetHyperlinkExecutingEventArgs, _super);
    function IgxSpreadsheetHyperlinkExecutingEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(IgxSpreadsheetHyperlinkExecutingEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxSpreadsheetHyperlinkExecutingEventArgs.prototype, "hyperlink", {
        /**
         * Returns the hyperlink to be executed.
        */
        get: function () {
            return this.i.hyperlink;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxSpreadsheetHyperlinkExecutingEventArgs.prototype, "workingDirectory", {
        /**
         * Returns or sets the working directory to use when the hyperlink is a file reference.
        */
        get: function () {
            return this.i.workingDirectory;
        },
        set: function (v) {
            this.i.workingDirectory = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetHyperlinkExecutingEventArgs;
}(IgxCancelEventArgs));
export { IgxSpreadsheetHyperlinkExecutingEventArgs };
